# Code to accompany 'Approaching unsafe limits: climate-related health inequities within and beyond Europe'

**Authors:** 
- Dr. Kim Robin van Daalen, PhD ([ORCID](https://orcid.org/0000-0001-6955-9708))
- Daniela Lührsen, MSc ([ORCID](https://orcid.org/0009-0002-6340-5964))
- Prof. Rachel Lowe, PhD ([ORCID](https://orcid.org/0000-0003-3939-7343))

**Contact information:** kim.vandaalen@bsc.es

**Date of creation:** 20 June 2023

This repository includes the code to create the static temperature anomalies spiral in Europe figure included in the Comment entitled "Approaching unsafe limits: climate-related health inequities" published in the Lancet Regional Health Europe (https://doi.org/10.1016/j.lanepe.2023.100683). It also includes the code to create an animated version (.gif) of the temperature anomaly spiral. 

The figure and animation were made using R (version 4.0.5) ggplot, dplyr, gganimate, and gifski packages based on adapted publicly available code from [Prof. Pat Schloss](https://riffomonas.org/about/) (https://github.com/riffomonas/climate_viz/tree/95168349ece3c1993e960767a4b4d6124b4abd4a/code). The climate spiral (or temperature spiral) is a radial plot of temperatures to demonstrate the progression of global warming. The original climate spiral was published by [Prof. Edward Hawkins](https://edhawkins.org/) in May 2016 to portray global average temperature anomaly since 1850 (https://www.climate-lab-book.ac.uk/spirals/). The visualisation has since been expanded to represent other time-varying variables (such as artic sea ice volume). 

#### Input data: 
  
  - Monthly 2m mean temperature ERA5 
  - Period: January 1950 to May 2023 
  - Coordinates Europe: 10°W-40°E, 30-75°N

#### Figure & animation 

![](output/temp_anomaly_spiral.png)

**Monthly mean temperature anomalies in Europe between 1950 and 2023.** Anomalies are defined relative to a base period of 1979 to 2000. Lines represent the monthly mean 2m temperature anomalies in Europe between January 1950 and May 2023, with more recent years represented by a lighter blue and years further in the past represented by a darker blue (see legend). The bright green line represents 0 C° of change relative to the base period. The purple line represents 2023 up to May. These temperatures are based on 2m temperature data from ECMWF ERA5, and are the temperature of the air at 2 metres above the surface of land, sea or inland waters. 2m temperature is calculated by interpolating between the lowest model level and the Earth’s surface, taking account of the atmospheric conditions. The bounding box for Europe was defined at 10°W-40°E, 30-75°N. 

![](output/animated_temp_anomaly_spiral.gif)






